{ Кодировка: Пример простой кодировки (сдвиг по ключу)                     }
{--------------------------------------------------------------------------}
{ Алгоритм: каждый код символа увеличивается на некоторое число - "ключ"   }
{--------------------------------------------------------------------------}

var s:string;
    i,key:integer;
begin
     writeln('Введите текст'); readln(s);
     writeln('Введите ключ (число от 1 до 255)'); readln(key);
     for i:=1 to length(s) do s[i]:=char( ord(s[i]) + key  );
     writeln('Зашифрованный текст: ',s);
end.
